## net.sf.saxon.expr
Interface EvaluableItem

All Known Implementing Classes:
  AdjacentTextNodeMerger, Adjust, Aggregate, AnalyzeString, AnalyzeStringFn, ApplyImports, ApplyTemplates, ArithmeticExpression, ArithmeticExpression10, Assign, Assignation, AtomicSequenceConverter, Atomizer, AttributeCreator, Available, AvailableEnvironmentVariables, Average, AxisExpression, BaseURI, BasicUpdatingExpression, BinaryExpression, Block, BooleanExpression, BooleanFn, BreakInstr, CallTemplate, CardinalityChecker, CastableExpression, CastExpression, Choose, CodepointEqual, CodepointsToString, CollatingFunction, Collection, Comment, Compare, CompareToIntegerConstant, CompileTimeFunction, Component, ComputedAttribute, ComputedElement, Concat, ConditionalSorter, Contains, ContextCall, ContextItemExpression, Copy, CopyModifyExpression, CopyOf, CopyOfFn, Count, Current, CurrentDateTime, CurrentGroup, CurrentGroupingKey, CurrentItemExpression, Data, DateTimeConstructor, DeepEqual, DefaultCollation, DeleteExpression, DistinctValues, Doc, DocAvailable, Doctype, DocumentFn, DocumentInstr, DocumentSorter, EagerLetExpression, ElementCreator, Empty, EmptyTextNodeRemover, EndsWith, EquivalenceComparison, Error, ErrorExpression, EscapeURI, EvaluateInstr, Exists, Expression, FilterExpression, FilterFn, FirstItemExpression, FixedAttribute, FixedElement, FoldLeftFn, FoldRightFn, ForceCase, ForEach, ForEachGroup, ForExpression, Fork, FormatDate, FormatInteger, FormatNumber, FunctionArity, FunctionCall, FunctionItemExpression, FunctionName, FunctionSequenceCoercer, GeneralComparison, GeneralComparison10, GeneralComparison20, GeneralComparisonEE, GeneralVariable, GetEnvironmentVariable, GlobalParam, GlobalVariable, HeadFn, Id, IdentityComparison, Idref, IndexedFilterExpression, IndexedLookupExpression, IndexOf, InScopePrefixes, Insert, InsertExpression, InstanceOfExpression, Instruction, IntegerRangeTest, IntegratedFunctionCall, IsLastExpression, ItemChecker, IterateInstr, JavaExtensionFunctionCall, KeyFn, Lang, Last, LastItemExpression, LazyExpression, LetExpression, Literal, LocalParam, LocalParamBlock, LocalVariable, LocalVariableReference, MapFn, MapPairsFn, Matches, Message, Minimax, MultithreadedForEach, NamePart, NamespaceConstructor, NamespaceForPrefix, NegateExpression, NextIteration, NextMatch, Nilled, NormalizeSpace, NormalizeUnicode, NumberFn, NumberInstruction, NumericPromoter, OuterForExpression, ParentNodeConstructor, ParentNodeExpression, ParseXml, PartialApply, PathExpression, PatternMatchExpression, PatternSponsor, Position, ProcessingInstruction, ProcessRegexMatchInstruction, PromoteToDouble, PromoteToFloat, Put, QNameFn, QuantifiedExpression, RangeExpression, RegexGroup, Remove, RenameExpression, Replace, ReplaceNodeExpression, ReplaceValueExpression, ResolveQName, ResolveURI, ResultDocument, Reverse, Root, RootExpression, Rounding, Serialize, SimpleContentConstructor, SimpleExpression, SimpleNodeConstructor, SingleNodeExpression, SingletonAtomizer, SingletonComparison, SingletonIntersectExpression, SlashExpression, SnapshotFn, SortExpression, StartsWith, StaticBaseURI, StreamingApplyTemplates, StreamingCopy, StringFn, StringJoin, StringLength, StringLiteral, StringToCodepoints, Subsequence, Substring, SubstringAfter, SubstringBefore, Sum, SuppliedParameterReference, SwitchExpression, SystemFunction, SystemProperty, TailCallLoop, TailExpression, TailFn, Tokenize, Trace, TraceExpression, TraceInstruction, TraceWrapper, Translate, TreatFn, TryCatch, TupleExpression, TupleSorter, UnaryExpression, Unordered, UnparsedEntity, UnparsedText, UntypedAtomicConverter, UriCollection, UseAttributeSets, UserFunctionCall, ValueComparison, ValueOf, VariableReference, VennExpression, While, WithParam, XPathFunctionCall

    public interface EvaluableItem

This interface is a simple subset of the Expression interface, that provides a single method to evaluate the result of an expression as a single item. It is used in code generated by the XQuery-to-Java compiler.

Method Summary
`Item` `evaluateItem(XPathContext context)` Return an item

Method Detail

### evaluateItem

    Item evaluateItem(XPathContext context)
                      throws XPathException

  Return an item

  Parameters:
    `context` - the dynamic evaluation context
  Returns:
    the item
  Throws:
    `XPathException`

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.